Skip to main content
GET
Retrieve Bill Statement in JSON Format

Authorizations

Authorization
string
header
required

m3ter supports machine to machine authentication using the clientCredentials OAuth2 flow.

The authorizationCode flow controls access for human users via the m3ter Console application.

FlowAuthorization Code
Authorization URL
https://m3ter.auth.us-east-1.amazoncognito.com/oauth2/authorize
Token URL
https://m3ter.auth.us-east-1.amazoncognito.com/oauth2/token
FlowClient Credentials
Token URL
/oauth/token

Path Parameters

orgId
string
required

The unique identifier (UUID) of your Organization. The Organization represents your company as a direct customer of our service.

id
string
required

The unique identifier (UUID) of the Bill for which you want to retrieve the Statement.

Response

Returns the download URL

downloadUrl
string<url>

The pre-signed download URL.